Log in local user - Fabric

Log in local user

cURL

curl --request POST \
  --url https://demo.fabric.zone/api-commerceIdentity/auth/local/login \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-site-context: <x-site-context>' \
  --data '\n{
  "username": "user101",
  "password": "ABC123"
}'

Python

import requests

url = "https://demo.fabric.zone/api-commerceIdentity/auth/local/login"

payload = {
    "username": "user101",
    "password": "ABC123"
}
headers = {
    "x-site-context": "<x-site-context>",
    "x-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    'x-api-key': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({username: 'user101', password: 'ABC123'})
};

fetch('https://demo.fabric.zone/api-commerceIdentity/auth/local/login', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Success (200)

{
  "_id": "596f7557696e2d4d617a616c546f7621",
  "userId": "6169b2d892a5f30009d76480",
  "roles": "customer",
  "name": "Pat E Kake",
  "account": "xxxxxcxxxxxxxxxxxxxx",
  "userType": "customer",
  "accessToken": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4...",
  "refreshToken": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4..."
}

Invalid Credentials (400)

{
  "error": "LOCAL_AUTH_FAILED",
  "code": "400",
  "message": "Username or password is invalid"
}

Deactivated User (401)

{
  "error": "USER_DEACTIVATED_ERROR",
  "code": "401",
  "message": "User is already deactivated"
}

Authorizations

Request Body